from cocos.tiles import HexMapLayer

import cocos.draw


class HexMapLayerWithOutlines(HexMapLayer):

    def __init__(self, id_, source_layer):
        super().__init__(id_, False, source_layer.th, source_layer.cells,
                         properties=source_layer.properties)
        self.visible = False

        # Looks like we want to add a cocos.draw.Canvas with a bunch of lines.

        for i in range(10):

            pass
